[IPython-User] IPython 4.0 on Python 3.4 & Windows 10 - Status Update #2

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

[IPython-User] IPython 4.0 on Python 3.4 & Windows 10 - Status Update #2

Viktor Ransmayr
Here's a follow-up to my earlier mail. - Usage of 'ipython qtconsole' and 'ipython --gui=qt5' do not work as advertized:

<Log-#2>

PS C:\Users\Viktor> ipython --help
=========
 IPython
=========

Tools for Interactive Computing in Python
=========================================

    A Python shell with automatic history (input and output), dynamic object
    introspection, easier configuration, command completion, access to the
    system shell and more.  IPython can also be embedded in running programs.

Usage

    ipython [subcommand] [options] [-c cmd | -m mod | file] [--] [arg] ...

[Snip]

--gui=<CaselessStrEnum> (InteractiveShellApp.gui)
    Default: None
    Choices: ('glut', 'gtk', 'gtk3', 'osx', 'pyglet', 'qt', 'qt5', 'tk', 'wx')
    Enable GUI event loop integration with any of ('glut', 'gtk', 'gtk3', 'osx',
    'pyglet', 'qt', 'qt5', 'tk', 'wx').

[Snip]

--profile-dir=<Unicode> (ProfileDir.location)
    Default: ''
    Set the profile location directly. This overrides the logic used by the
    `profile` option.

To see all available configurables, use `--help-all`

Examples
--------

[Snip]

    ipython qtconsole          # start the qtconsole GUI application
    ipython help qtconsole     # show the help for the qtconsole subcmd

[Snip]

    ipython nbconvert           # convert notebooks to/from other formats

PS C:\Users\Viktor> ipython qtconsole
Traceback (most recent call last):
  File "c:\python34\lib\runpy.py", line 170, in _run_module_as_main
    "__main__", mod_spec)
  File "c:\python34\lib\runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "C:\Python34\Scripts\ipython.exe\__main__.py", line 9, in <module>
  File "c:\python34\lib\site-packages\IPython\__init__.py", line 118, in start_ipython
    return launch_new_instance(argv=argv, **kwargs)
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 591, in launch_instance
    app.initialize(argv)
  File "<string>", line 2, in initialize
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\IPython\terminal\ipapp.py", line 305, in initialize
    super(TerminalIPythonApp, self).initialize(argv)
  File "<string>", line 2, in initialize
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\IPython\core\application.py", line 386, in initialize
    self.parse_command_line(argv)
  File "c:\python34\lib\site-packages\IPython\terminal\ipapp.py", line 300, in parse_command_line
    return super(TerminalIPythonApp, self).parse_command_line(argv)
  File "<string>", line 2, in parse_command_line
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 487, in parse_command_line
    return self.initialize_subcommand(subc, subargv)
  File "<string>", line 2, in initialize_subcommand
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 418, in initialize_subcommand
    subapp = import_item(subapp)
  File "c:\python34\lib\site-packages\ipython_genutils\importstring.py", line 31, in import_item
    module = __import__(package, fromlist=[obj])
ImportError: No module named 'qtconsole'
PS C:\Users\Viktor> ipython --gui=qt5
WARNING: Readline services not available or not loaded.
WARNING: Proper color support under MS Windows requires the pyreadline library.
You can find it at:
http://ipython.org/pyreadline.html

Defaulting color scheme to 'NoColor'
Python 3.4.3 (v3.4.3:9b73f1c3e601, Feb 24 2015, 22:44:40) [MSC v.1600 64 bit (AMD64)]
Type "copyright", "credits" or "license" for more information.

IPython 4.0.0 -- An enhanced Interactive Python.
?         -> Introduction and overview of IPython's features.
%quickref -> Quick reference.
help      -> Python's own help system.
object?   -> Details about 'object', use 'object??' for extra details.
[TerminalIPythonApp] WARNING | Eventloop or matplotlib integration failed. Is matplotlib installed?
---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)
c:\python34\lib\site-packages\IPython\terminal\interactiveshell.py in enable_gui(gui, app)
    305         from IPython.lib.inputhook import enable_gui as real_enable_gui
    306         try:
--> 307             return real_enable_gui(gui, app)
    308         except ValueError as e:
    309             raise UsageError("%s" % e)

c:\python34\lib\site-packages\IPython\lib\inputhook.py in enable_gui(self, gui, app)
    248         self._current_gui = gui
    249
--> 250         app = gui_hook.enable(app)
    251         if app is not None:
    252             app._in_event_loop = True

c:\python34\lib\site-packages\IPython\lib\inputhook.py in enable(self, app)
    387     def enable(self, app=None):
    388         os.environ['QT_API'] = 'pyqt5'
--> 389         return Qt4InputHook.enable(self, app)
    390
    391

c:\python34\lib\site-packages\IPython\lib\inputhook.py in enable(self, app)
    364             app = QtGui.QApplication(sys.argv)
    365         """
--> 366         from IPython.lib.inputhookqt4 import create_inputhook_qt4
    367         app, inputhook_qt4 = create_inputhook_qt4(self.manager, app)
    368         self.manager.set_inputhook(inputhook_qt4)

c:\python34\lib\site-packages\IPython\lib\inputhookqt4.py in <module>()
     22
     23 from IPython.core.interactiveshell import InteractiveShell
---> 24 from IPython.external.qt_for_kernel import QtCore, QtGui
     25 from IPython.lib.inputhook import allow_CTRL_C, ignore_CTRL_C, stdin_ready
     26

c:\python34\lib\site-packages\IPython\external\qt_for_kernel.py in <module>()
     81
     82 else: # use ETS variable
---> 83     from IPython.external.qt import QtCore, QtGui, QtSvg, QT_API

ImportError: No module named 'IPython.external.qt'

In [1]: quit()
PS C:\Users\Viktor>

</Log#2>

Any feedback or ideas?

With kind regards,

Viktor


_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user
Reply | Threaded
Open this post in threaded view
|

Re: IPython 4.0 on Python 3.4 & Windows 10 - Status Update #2

Paul Moore
On 21 August 2015 at 21:57, Viktor Ransmayr <[hidden email]> wrote:
> Here's a follow-up to my earlier mail. - Usage of 'ipython qtconsole' and
> 'ipython --gui=qt5' do not work as advertized:

Your "pip list" from the other email didn't include PyQt or PySide.
You probably need to install one or the other (pyside seems to include
wheels on PyPI).

(Disclaimer: I don't use the qtconsole on Windows, so I have no direct
experience with it).

Paul
_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user
Reply | Threaded
Open this post in threaded view
|

Re: IPython 4.0 on Python 3.4 & Windows 10 - Status Update #2

Thomas Kluyver-2
In reply to this post by Viktor Ransmayr
On 21 August 2015 at 13:57, Viktor Ransmayr <[hidden email]> wrote:
ImportError: No module named 'qtconsole'

The Qt console is now a separate package. You can 'pip install qtconsole' to get it, or 'pip install jupyter' to get all the bits that were in IPython 3.x.

> ---> 83     from IPython.external.qt import QtCore, QtGui, QtSvg, QT_API
>
> ImportError: No module named 'IPython.external.qt'

That's an oversight on our part - can you file an issue about this against the ipython/ipython repository? In the meantime, unset the environment variable QT_API, and it should work.

Thomas

_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user
Reply | Threaded
Open this post in threaded view
|

Re: IPython 4.0 on Python 3.4 & Windows 10 - Status Update #2

Viktor Ransmayr
Hello Thomas,

Thanks for your feedback. - I tried to follow it, but still did not succeed. - See additional logs:

On Sat, Aug 22, 2015 at 1:04 AM, Thomas Kluyver <[hidden email]> wrote:
On 21 August 2015 at 13:57, Viktor Ransmayr <[hidden email]> wrote:
ImportError: No module named 'qtconsole'

The Qt console is now a separate package. You can 'pip install qtconsole' to get it, or 'pip install jupyter' to get all the bits that were in IPython 3.x.

<Log #2a>

Windows PowerShell
Copyright (C) 2015 Microsoft Corporation. Alle Rechte vorbehalten.

PS C:\Users\Viktor> pip list
alabaster (0.7.6)
Babel (2.0)
colorama (0.3.3)
decorator (4.0.2)
docutils (0.12)
ipython (4.0.0)
ipython-genutils (0.1.0)
Jinja2 (2.8)
MarkupSafe (0.23)
path.py (7.6.1)
pickleshare (0.5)
pip (7.1.1)
Pygments (2.0.2)
pytz (2015.4)
setuptools (18.2)
simplegeneric (0.8.1)
six (1.9.0)
snowballstemmer (1.2.0)
Sphinx (1.3.1)
sphinx-rtd-theme (0.1.8)
traitlets (4.0.0)
PS C:\Users\Viktor> pip install qtconsole
Collecting qtconsole
  Using cached qtconsole-4.0.1-py2.py3-none-any.whl
Collecting jupyter-client (from qtconsole)
  Using cached jupyter_client-4.0.0-py2.py3-none-any.whl
Collecting ipykernel (from qtconsole)
  Using cached ipykernel-4.0.3-py2.py3-none-any.whl
Requirement already satisfied (use --upgrade to upgrade): traitlets in c:\python34\lib\site-packages (from qtconsole)
Collecting jupyter-core (from qtconsole)
  Using cached jupyter_core-4.0.4-py2.py3-none-any.whl
Requirement already satisfied (use --upgrade to upgrade): pygments in c:\python34\lib\site-packages (from qtconsole)
Collecting pyzmq>=13 (from jupyter-client->qtconsole)
  Using cached pyzmq-14.7.0-cp34-none-win_amd64.whl
Requirement already satisfied (use --upgrade to upgrade): ipython>=4.0.0 in c:\python34\lib\site-packages (from ipykerne
l->qtconsole)
Requirement already satisfied (use --upgrade to upgrade): ipython-genutils in c:\python34\lib\site-packages (from traitl
ets->qtconsole)
Requirement already satisfied (use --upgrade to upgrade): decorator in c:\python34\lib\site-packages (from traitlets->qt
console)
Requirement already satisfied (use --upgrade to upgrade): simplegeneric>0.8 in c:\python34\lib\site-packages (from ipyth
on>=4.0.0->ipykernel->qtconsole)
Requirement already satisfied (use --upgrade to upgrade): pickleshare in c:\python34\lib\site-packages (from ipython>=4.
0.0->ipykernel->qtconsole)
Requirement already satisfied (use --upgrade to upgrade): path.py in c:\python34\lib\site-packages (from pickleshare->ip
ython>=4.0.0->ipykernel->qtconsole)
Installing collected packages: pyzmq, jupyter-core, jupyter-client, ipykernel, qtconsole
Successfully installed ipykernel-4.0.3 jupyter-client-4.0.0 jupyter-core-4.0.4 pyzmq-14.7.0 qtconsole-4.0.1
PS C:\Users\Viktor> ipython qtconsole
Traceback (most recent call last):
  File "c:\python34\lib\runpy.py", line 170, in _run_module_as_main
    "__main__", mod_spec)
  File "c:\python34\lib\runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "C:\Python34\Scripts\ipython.exe\__main__.py", line 9, in <module>
  File "c:\python34\lib\site-packages\IPython\__init__.py", line 118, in start_ipython
    return launch_new_instance(argv=argv, **kwargs)
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 591, in launch_instance
    app.initialize(argv)
  File "<string>", line 2, in initialize
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\IPython\terminal\ipapp.py", line 305, in initialize
    super(TerminalIPythonApp, self).initialize(argv)
  File "<string>", line 2, in initialize
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\IPython\core\application.py", line 386, in initialize
    self.parse_command_line(argv)
  File "c:\python34\lib\site-packages\IPython\terminal\ipapp.py", line 300, in parse_command_line
    return super(TerminalIPythonApp, self).parse_command_line(argv)
  File "<string>", line 2, in parse_command_line
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 487, in parse_command_line
    return self.initialize_subcommand(subc, subargv)
  File "<string>", line 2, in initialize_subcommand
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 425, in initialize_subcommand
    self.subapp.initialize(argv)
  File "<string>", line 2, in initialize
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\qtconsole\qtconsoleapp.py", line 350, in initialize
    JupyterConsoleApp.initialize(self,argv)
  File "c:\python34\lib\site-packages\jupyter_client\consoleapp.py", line 324, in initialize
    self.init_kernel_manager()
  File "c:\python34\lib\site-packages\jupyter_client\consoleapp.py", line 280, in init_kernel_manager
    self.kernel_manager.start_kernel(**kwargs)
  File "c:\python34\lib\site-packages\jupyter_client\manager.py", line 239, in start_kernel
    **kw)
  File "c:\python34\lib\site-packages\jupyter_client\manager.py", line 186, in _launch_kernel
    return launch_kernel(kernel_cmd, **kw)
  File "c:\python34\lib\site-packages\jupyter_client\launcher.py", line 108, in launch_kernel
    proc = Popen(cmd, **kwargs)
  File "c:\python34\lib\subprocess.py", line 859, in __init__
    restore_signals, start_new_session)
  File "c:\python34\lib\subprocess.py", line 1112, in _execute_child
    startupinfo)
FileNotFoundError: [WinError 2] Das System kann die angegebene Datei nicht finden
PS C:\Users\Viktor>

</Log #2a>

With kind regards,

Viktor


_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user
Reply | Threaded
Open this post in threaded view
|

Re: IPython 4.0 on Python 3.4 & Windows 10 - Status Update #2

Viktor Ransmayr
In reply to this post by Thomas Kluyver-2
Hello Thomas,

On Sat, Aug 22, 2015 at 1:04 AM, Thomas Kluyver <[hidden email]> wrote:
On 21 August 2015 at 13:57, Viktor Ransmayr <[hidden email]> wrote:
ImportError: No module named 'qtconsole'

The Qt console is now a separate package. You can 'pip install qtconsole' to get it, or 'pip install jupyter' to get all the bits that were in IPython 3.x.

> ---> 83     from IPython.external.qt import QtCore, QtGui, QtSvg, QT_API
>
> ImportError: No module named 'IPython.external.qt'

That's an oversight on our part - can you file an issue about this against the ipython/ipython repository?

In the meantime, unset the environment variable QT_API, and it should work.

With kind regards,

Viktor


_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user
Reply | Threaded
Open this post in threaded view
|

Re: IPython 4.0 on Python 3.4 & Windows 10 - Status Update #2

Viktor Ransmayr
In reply to this post by Paul Moore
Hello Paul,

On Fri, Aug 21, 2015 at 11:22 PM, Paul Moore <[hidden email]> wrote:
On 21 August 2015 at 21:57, Viktor Ransmayr <[hidden email]> wrote:
> Here's a follow-up to my earlier mail. - Usage of 'ipython qtconsole' and
> 'ipython --gui=qt5' do not work as advertized:

Your "pip list" from the other email didn't include PyQt or PySide.
You probably need to install one or the other (pyside seems to include
wheels on PyPI).

I did this round of tests from the system python installation, where other programs are successfully using PyQt5.

I assume it has not been listed, because I did install it from a Windows install program.

With kind regards,

Viktor

_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user
Reply | Threaded
Open this post in threaded view
|

Re: IPython 4.0 on Python 3.4 & Windows 10 - Status Update #2

Thomas Kluyver-2
In reply to this post by Viktor Ransmayr
On 22 August 2015 at 03:52, Viktor Ransmayr <[hidden email]> wrote:
  File "c:\python34\lib\site-packages\jupyter_client\launcher.py", line 108, in launch_kernel
    proc = Popen(cmd, **kwargs)
  File "c:\python34\lib\subprocess.py", line 859, in __init__
    restore_signals, start_new_session)
  File "c:\python34\lib\subprocess.py", line 1112, in _execute_child
    startupinfo)
FileNotFoundError: [WinError 2] Das System kann die angegebene Datei nicht finden

Can you stick a 'print(cmd)' in just before line 108 in c:\python34\lib\site-packages\jupyter_client\launcher.py, to check what it's trying to run?

_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user
Reply | Threaded
Open this post in threaded view
|

Re: IPython 4.0 on Python 3.4 & Windows 10 - Status Update #2

Viktor Ransmayr
Hello Thomas,

On Sat, Aug 22, 2015 at 7:33 PM, Thomas Kluyver <[hidden email]> wrote:
On 22 August 2015 at 03:52, Viktor Ransmayr <[hidden email]> wrote:
  File "c:\python34\lib\site-packages\jupyter_client\launcher.py", line 108, in launch_kernel
    proc = Popen(cmd, **kwargs)
  File "c:\python34\lib\subprocess.py", line 859, in __init__
    restore_signals, start_new_session)
  File "c:\python34\lib\subprocess.py", line 1112, in _execute_child
    startupinfo)
FileNotFoundError: [WinError 2] Das System kann die angegebene Datei nicht finden

Can you stick a 'print(cmd)' in just before line 108 in c:\python34\lib\site-packages\jupyter_client\launcher.py, to check what it's trying to run?

Yes, here is the output:

<Log>

Windows PowerShell
Copyright (C) 2015 Microsoft Corporation. Alle Rechte vorbehalten.

PS C:\Users\Viktor> ipython qtconsole
['C:\\Users\\Viktor\\VE\\test-04\\Scripts\\python.exe', '-m', 'ipykernel', '-f', 'C:\\Users\\Viktor\\AppData\\Roaming\\j
upyter\\runtime\\kernel-8804.json']
Traceback (most recent call last):
  File "c:\python34\lib\runpy.py", line 170, in _run_module_as_main
    "__main__", mod_spec)
  File "c:\python34\lib\runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "C:\Python34\Scripts\ipython.exe\__main__.py", line 9, in <module>
  File "c:\python34\lib\site-packages\IPython\__init__.py", line 118, in start_ipython
    return launch_new_instance(argv=argv, **kwargs)
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 591, in launch_instance
    app.initialize(argv)
  File "<string>", line 2, in initialize
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\IPython\terminal\ipapp.py", line 305, in initialize
    super(TerminalIPythonApp, self).initialize(argv)
  File "<string>", line 2, in initialize
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\IPython\core\application.py", line 386, in initialize
    self.parse_command_line(argv)
  File "c:\python34\lib\site-packages\IPython\terminal\ipapp.py", line 300, in parse_command_line
    return super(TerminalIPythonApp, self).parse_command_line(argv)
  File "<string>", line 2, in parse_command_line
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 487, in parse_command_line
    return self.initialize_subcommand(subc, subargv)
  File "<string>", line 2, in initialize_subcommand
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 425, in initialize_subcommand
    self.subapp.initialize(argv)
  File "<string>", line 2, in initialize
  File "c:\python34\lib\site-packages\traitlets\config\application.py", line 75, in catch_config_error
    return method(app, *args, **kwargs)
  File "c:\python34\lib\site-packages\qtconsole\qtconsoleapp.py", line 350, in initialize
    JupyterConsoleApp.initialize(self,argv)
  File "c:\python34\lib\site-packages\jupyter_client\consoleapp.py", line 324, in initialize
    self.init_kernel_manager()
  File "c:\python34\lib\site-packages\jupyter_client\consoleapp.py", line 280, in init_kernel_manager
    self.kernel_manager.start_kernel(**kwargs)
  File "c:\python34\lib\site-packages\jupyter_client\manager.py", line 239, in start_kernel
    **kw)
  File "c:\python34\lib\site-packages\jupyter_client\manager.py", line 186, in _launch_kernel
    return launch_kernel(kernel_cmd, **kw)
  File "c:\python34\lib\site-packages\jupyter_client\launcher.py", line 109, in launch_kernel
    proc = Popen(cmd, **kwargs)
  File "c:\python34\lib\subprocess.py", line 859, in __init__
    restore_signals, start_new_session)
  File "c:\python34\lib\subprocess.py", line 1112, in _execute_child
    startupinfo)
FileNotFoundError: [WinError 2] Das System kann die angegebene Datei nicht finden
PS C:\Users\Viktor>

</Log>

With kind regards,

Viktor


_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user
Reply | Threaded
Open this post in threaded view
|

Re: IPython 4.0 on Python 3.4 & Windows 10 - Status Update #2

Thomas Kluyver-2
On 22 August 2015 at 13:03, Viktor Ransmayr <[hidden email]> wrote:
['C:\\Users\\Viktor\\VE\\test-04\\Scripts\\python.exe', '-m', 'ipykernel', '-f', 'C:\\Users\\Viktor\\AppData\\Roaming\\j
upyter\\runtime\\kernel-8804.json']

This looks like you have at some point installed the kernelspec using a virtualenv which you have since deleted. You'll need to remove that for it to work.

Look in the folders listed here for a folder called 'python3', and delete it:
http://jupyter-client.readthedocs.org/en/latest/kernels.html#kernel-specs

Thomas

_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user
Reply | Threaded
Open this post in threaded view
|

Re: IPython 4.0 on Python 3.4 & Windows 10 - Status Update #2

Viktor Ransmayr
Hello Thomas,

On Sat, Aug 22, 2015 at 11:18 PM, Thomas Kluyver <[hidden email]> wrote:
On 22 August 2015 at 13:03, Viktor Ransmayr <[hidden email]> wrote:
['C:\\Users\\Viktor\\VE\\test-04\\Scripts\\python.exe', '-m', 'ipykernel', '-f', 'C:\\Users\\Viktor\\AppData\\Roaming\\j
upyter\\runtime\\kernel-8804.json']

This looks like you have at some point installed the kernelspec using a virtualenv which you have since deleted. You'll need to remove that for it to work.

Look in the folders listed here for a folder called 'python3', and delete it:
http://jupyter-client.readthedocs.org/en/latest/kernels.html#kernel-specs

That was the issue. - Now 'ipython qtconsole' is working.

Thanks a lot for your support !!!

With kind regards,

Viktor


_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user